ipe::DataSource Class Referenceabstract
Ipe Base

`#include <ipebase.h>`

Inherited by StandardStyleSource, ipe::A85Source, ipe::Base64Source, ipe::BufferSource, ipe::FileSource, and ipe::InflateSource.

## Public Member Functions

virtual | ~DataSource ()=0
virtual int | getChar ()=0
virtual int | length () const
virtual void | setPosition (int pos)
virtual int | position () const

## Detailed Description

Interface for getting data for parsing.

## Constructor & Destructor Documentation

## ~DataSource()

DataSource::~DataSource | ( |  | ) |

pure virtual

Pure virtual destructor.

## Member Function Documentation

## getChar()

virtual int ipe::DataSource::getChar | ( |  | ) |

pure virtual

Get one more character, or EOF.

Implemented in ipe::A85Source, ipe::Base64Source, ipe::InflateSource, ipe::FileSource, and ipe::BufferSource.

Referenced by ipe::A85Source::getChar(), ipe::Base64Source::getChar(), ipe::XmlParser::getChar(), and ipe::PdfFile::parse().

## length()

int DataSource::length | ( |  | ) | const

virtual

Return length of input stream in characters.

Returns -1 if the stream is not seekable. Calling this function will invalidate the current position.

Reimplemented in ipe::FileSource, and ipe::BufferSource.

Referenced by ipe::PdfFile::parse().

## setPosition()

void DataSource::setPosition | ( | int | pos | ) |

virtual

Set position in stream.

Does nothing if the stream is not seekable.

Reimplemented in ipe::FileSource, and ipe::BufferSource.

Referenced by ipe::PdfFile::parse().

## position()

int DataSource::position | ( |  | ) | const

virtual

Return position in stream.

Returns -1 if the stream is not seekable.

Reimplemented in ipe::FileSource, and ipe::BufferSource.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp